---
- name: molecule | converge
  hosts: all

  pre_tasks:
    - name: "pre.01 - wait for systemd to complete initialization"
      shell:
        cmd: systemctl is-system-running
      args:
        warn: no
      become: yes
      changed_when: false
      register: _systemctl_status
      until: _systemctl_status.stdout|lower is search('running') or _systemctl_status.stdout|lower is search('degraded')
      retries: 30
      delay: 5
      when:
        - ansible_service_mgr|lower == 'systemd'
      failed_when:
        - _systemctl_status.rc > 1

  tasks:
    - name: "task.01 - include role that is being tested"
      include_role:
        name: "{{ lookup('env', 'MOLECULE_PROJECT_DIRECTORY') | basename }}"
